Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{app_resource_type_id}
/
resources
CreateManuallyManagedAppResource
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResource.CreateManuallyManagedAppResource(ctx, operations.C1APIAppV1AppResourceServiceCreateManuallyManagedAppResourceRequest{
        AppID: "<id>",
        AppResourceTypeID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.CreateManuallyManagedAppResourceResponse != nil {
        // handle response
    }
}
{
  "appResource": {
    "accessConfigId": "<string>",
    "appId": "<string>",
    "appResourceTypeId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "customDescription": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "displayName": "<string>",
    "externalId": "<string>",
    "grantCount": "<string>",
    "id": "<string>",
    "matchBatonId": "<string>",
    "parentAppResourceId": "<string>",
    "parentAppResourceTypeId": "<string>",
    "profile": {},
    "secretTrait": {
      "identityAppUserId": "<string>",
      "lastUsedAt": "2023-11-07T05:31:56Z",
      "secretCreatedAt": "2023-11-07T05:31:56Z",
      "secretExpiresAt": "2023-11-07T05:31:56Z"
    },
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app to create the resource under.

app_resource_type_id
string
required

The resource type ID that classifies this resource.

Body

application/json

The request message for creating a manually managed app resource.

displayName
string
required

The display name for the new resource.

description
string

An optional description for the new resource.

matchBatonId
string

If supplied, it's implied that the resource is created before sync and needs to be merged with connector resource.

resourceOwnerUserIds
string[] | null

C1 user IDs to assign as owners of this resource.

Response

200 - application/json

The response message for creating a manually managed app resource.

The response message for creating a manually managed app resource.

appResource
App Resource · object

The app resource message is a single resource that can have entitlements.

This message contains a oneof named metadata. Only a single field of the following list may be set at a time:

  • secretTrait